Bug 110993 - Cannot login as normal user
Summary: Cannot login as normal user
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-26 13:07 UTC by Robert de Vries
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 16:12:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert de Vries 2003-11-26 13:07:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
When I try to login on my machine using ssh, I get the following message: Connection to <hostname> closed by remote host.
When I check the log file /var/log/messages I see:
Nov 26 13:39:36 calvin sshd(pam_unix)[13730]: session opened for user rhdv by (uid=500)
No help there, not in /var/log/secure:
Nov 26 13:39:35 calvin sshd[13726]: Accepted password for rhdv from 194.178.210.52 port 46328 ssh2
Nov 26 13:39:36 calvin sshd[13730]: fatal: PAM session setup failed[6]: Permission denied
Some searching on the web revealed a possible connection with the pam_limits module.
I renamed the file /etc/security/limits.conf to limits.conf- and I can login again.
I do get messages about the missing limits.conf file in /var/log/messages though.

Version-Release number of selected component (if applicable):
openssh-server-3.6.1p2-19

How reproducible:
Always

Steps to Reproduce:
1. login to your machine via ssh as a normal user (not root)


Actual Results:  Failed to login.

Expected Results:  Prompt from other machine.

Additional info:

Comment 1 Tomas Mraz 2005-02-04 16:12:15 UTC
This should be fixed in Fedora Core 3.



Note You need to log in before you can comment on or make changes to this bug.